<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:24 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GaScenario (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GaScenario (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GaScenario.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaResourcesPlatform.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" target="_top">Frames</a></li>
<li><a href="GaScenario.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</div>
<h2 title="Interface GaScenario" class="title">Interface GaScenario</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ResourceUsage</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedElement</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedProcessing</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaAcqStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaAcqStep</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaCommStep</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaRelStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaRelStep</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaRequestedService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaRequestedService</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaStep</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM">PaCommStep</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaRequestedStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM">PaRequestedStep</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaResPassStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM">PaResPassStep</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM">PaStep</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaCommStep</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaStep</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaAcqStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaAcqStepImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaCommStepImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaRelStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaRelStepImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaRequestedServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaRequestedServiceImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaScenarioImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaStepImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/PaCommStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl">PaCommStepImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/PaRequestedStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl">PaRequestedStepImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/PaResPassStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl">PaResPassStepImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/PaStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl">PaStepImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/SaCommStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">SaCommStepImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/SaStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">SaStepImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">GaScenario</span>
extends <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ResourceUsage</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedProcessing</a></pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Ga Scenario</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getCause--"><code><em>Cause</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getHostDemand--"><code><em>Host Demand</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getHostDemandOps--"><code><em>Host Demand Ops</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getInterOccT--"><code><em>Inter Occ T</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getThroughput--"><code><em>Throughput</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getRespT--"><code><em>Resp T</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getUtilization--"><code><em>Utilization</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getUtilizationOnHost--"><code><em>Utilization On Host</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getRoot--"><code><em>Root</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getSteps--"><code><em>Steps</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getParentStep--"><code><em>Parent Step</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getTiming--"><code><em>Timing</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario--"><code>GQAMPackage.getGaScenario()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getCause--">getCause</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Cause</b></em>' reference.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getHostDemand--">getHostDemand</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Host Demand</b></em>' attribute list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getHostDemandOps--">getHostDemandOps</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Host Demand Ops</b></em>' attribute list.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getInterOccT--">getInterOccT</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Inter Occ T</b></em>' attribute list.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaStep</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getParentStep--">getParentStep</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Parent Step</b></em>' reference list.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getRespT--">getRespT</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Resp T</b></em>' attribute list.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaStep</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getRoot--">getRoot</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Root</b></em>' reference.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaStep</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getSteps--">getSteps</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Steps</b></em>' reference list.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getThroughput--">getThroughput</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Throughput</b></em>' attribute list.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaTimedObs.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaTimedObs</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getTiming--">getTiming</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Timing</b></em>' reference list.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getUtilization--">getUtilization</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Utilization</b></em>' attribute list.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getUtilizationOnHost--">getUtilizationOnHost</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Utilization On Host</b></em>' attribute list.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#setCause-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaWorkloadEvent-">setCause</a></span>(<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getCause--"><code><em>Cause</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#setRoot-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaStep-">setRoot</a></span>(<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaStep</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getRoot--"><code><em>Root</em></code></a>' reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.ResourceUsage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ResourceUsage</a></h3>
<code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getAllocatedMemory--">getAllocatedMemory</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getBase_NamedElement--">getBase_NamedElement</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getEnergy--">getEnergy</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getExecTime--">getExecTime</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getMsgSize--">getMsgSize</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getPowerPeak--">getPowerPeak</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getSubUsage--">getSubUsage</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getUsedMemory--">getUsedMemory</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getUsedResources--">getUsedResources</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#setBase_NamedElement-org.eclipse.uml2.uml.NamedElement-">setBase_NamedElement</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedProcessing">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedProcessing</a></h3>
<code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getBase_Action--">getBase_Action</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getBase_Behavior--">getBase_Behavior</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getBase_Message--">getBase_Message</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getDuration--">getDuration</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getFinish--">getFinish</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getStart--">getStart</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setBase_Action-org.eclipse.uml2.uml.Action-">setBase_Action</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setBase_Behavior-org.eclipse.uml2.uml.Behavior-">setBase_Behavior</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setBase_Message-org.eclipse.uml2.uml.Message-">setBase_Message</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setDuration-org.eclipse.uml2.uml.ValueSpecification-">setDuration</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setFinish-org.eclipse.uml2.uml.Event-">setFinish</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setStart-org.eclipse.uml2.uml.Event-">setStart</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedElement</a></h3>
<code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html#getOn--">getOn</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCause--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCause</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a>&nbsp;getCause()</pre>
<div class="block">Returns the value of the '<em><b>Cause</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Cause</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Cause</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#setCause-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaWorkloadEvent-"><code>setCause(GaWorkloadEvent)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_Cause--"><code>GQAMPackage.getGaScenario_Cause()</code></a></dd>
</dl>
</li>
</ul>
<a name="setCause-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaWorkloadEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCause</h4>
<pre>void&nbsp;setCause(<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getCause--"><code><em>Cause</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Cause</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getCause--"><code>getCause()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHostDemand--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHostDemand</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getHostDemand()</pre>
<div class="block">Returns the value of the '<em><b>Host Demand</b></em>' attribute list.
 The list contents are of type <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Host Demand</em>' attribute list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Host Demand</em>' attribute list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_HostDemand--"><code>GQAMPackage.getGaScenario_HostDemand()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHostDemandOps--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHostDemandOps</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getHostDemandOps()</pre>
<div class="block">Returns the value of the '<em><b>Host Demand Ops</b></em>' attribute list.
 The list contents are of type <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Host Demand Ops</em>' attribute list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Host Demand Ops</em>' attribute list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_HostDemandOps--"><code>GQAMPackage.getGaScenario_HostDemandOps()</code></a></dd>
</dl>
</li>
</ul>
<a name="getInterOccT--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterOccT</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getInterOccT()</pre>
<div class="block">Returns the value of the '<em><b>Inter Occ T</b></em>' attribute list.
 The list contents are of type <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Inter Occ T</em>' attribute list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Inter Occ T</em>' attribute list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_InterOccT--"><code>GQAMPackage.getGaScenario_InterOccT()</code></a></dd>
</dl>
</li>
</ul>
<a name="getThroughput--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getThroughput</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getThroughput()</pre>
<div class="block">Returns the value of the '<em><b>Throughput</b></em>' attribute list.
 The list contents are of type <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Throughput</em>' attribute list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Throughput</em>' attribute list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_Throughput--"><code>GQAMPackage.getGaScenario_Throughput()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRespT--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRespT</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getRespT()</pre>
<div class="block">Returns the value of the '<em><b>Resp T</b></em>' attribute list.
 The list contents are of type <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Resp T</em>' attribute list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Resp T</em>' attribute list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_RespT--"><code>GQAMPackage.getGaScenario_RespT()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUtilization--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUtilization</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getUtilization()</pre>
<div class="block">Returns the value of the '<em><b>Utilization</b></em>' attribute list.
 The list contents are of type <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Utilization</em>' attribute list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Utilization</em>' attribute list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_Utilization--"><code>GQAMPackage.getGaScenario_Utilization()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUtilizationOnHost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUtilizationOnHost</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getUtilizationOnHost()</pre>
<div class="block">Returns the value of the '<em><b>Utilization On Host</b></em>' attribute list.
 The list contents are of type <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Utilization On Host</em>' attribute list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Utilization On Host</em>' attribute list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_UtilizationOnHost--"><code>GQAMPackage.getGaScenario_UtilizationOnHost()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRoot--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoot</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaStep</a>&nbsp;getRoot()</pre>
<div class="block">Returns the value of the '<em><b>Root</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Root</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Root</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#setRoot-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaStep-"><code>setRoot(GaStep)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_Root--"><code>GQAMPackage.getGaScenario_Root()</code></a></dd>
</dl>
</li>
</ul>
<a name="setRoot-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaStep-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRoot</h4>
<pre>void&nbsp;setRoot(<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaStep</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getRoot--"><code><em>Root</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Root</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getRoot--"><code>getRoot()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSteps--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSteps</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaStep</a>&gt;&nbsp;getSteps()</pre>
<div class="block">Returns the value of the '<em><b>Steps</b></em>' reference list.
 The list contents are of type <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code>GaStep</code></a>.
 It is bidirectional and its opposite is '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getScenario--"><code><em>Scenario</em></code></a>'.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Steps</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Steps</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_Steps--"><code>GQAMPackage.getGaScenario_Steps()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getScenario--"><code>GaStep.getScenario()</code></a></dd>
</dl>
</li>
</ul>
<a name="getParentStep--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParentStep</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaStep</a>&gt;&nbsp;getParentStep()</pre>
<div class="block">Returns the value of the '<em><b>Parent Step</b></em>' reference list.
 The list contents are of type <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code>GaStep</code></a>.
 It is bidirectional and its opposite is '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getChildScenario--"><code><em>Child Scenario</em></code></a>'.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Parent Step</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Parent Step</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_ParentStep--"><code>GQAMPackage.getGaScenario_ParentStep()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getChildScenario--"><code>GaStep.getChildScenario()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTiming--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTiming</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaTimedObs.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaTimedObs</a>&gt;&nbsp;getTiming()</pre>
<div class="block">Returns the value of the '<em><b>Timing</b></em>' reference list.
 The list contents are of type <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaTimedObs.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code>GaTimedObs</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Timing</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Timing</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaScenario_Timing--"><code>GQAMPackage.getGaScenario_Timing()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GaScenario.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaResourcesPlatform.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" target="_top">Frames</a></li>
<li><a href="GaScenario.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
